﻿using ConsoleApp1.model;
using CsvHelper;
using CsvHelper.Configuration;
using System;
using System.Collections.Generic;
using System.Formats.Asn1;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace ConsoleApp1.write
{
    public class WriteToCSV
    {
        public void ExportToCsv<T>(List<T> data, string path)
        {
            using (StreamWriter writer = new StreamWriter(path))
            {
                foreach (T item in data)
                {
                    var properties = typeof(T).GetProperties();

                    string line = string.Join(",", properties.Select(p => p.GetValue(item, null)));
                    writer.WriteLine(line);
                }
            }
        }
    }
}
