﻿using ConsoleApp1.model;
using ConsoleApp1.read;
using ConsoleApp1.write;
using System;
using System.Collections.Generic;
using System.Xml.Linq;

List<Person> people = new List<Person>
        {
            new Person { Name = "Alice", Age = 25 },
            new Person { Name = "Bob", Age = 30 },
            new Person { Name = "Charlie", Age = 35 }
        };

List<Product> products = new List<Product>
        {
            new Product { Name = "Apple", Price = 1.99 },
            new Product { Name = "Banana", Price = 0.99 },
            new Product { Name = "Orange", Price = 2.49 }
        };

void PrintListPerson(List<Person> people)
{
    foreach (var person in people)
    {
        Console.WriteLine($"Имя: {person.Name}, Возраст: {person.Age}");
    }
}
void PrintListProduct(List<Product> products)
{
    foreach (var product in products)
    {
        Console.WriteLine($"Продукт: {product.Name}, Цена: {product.Price}");
    }
}

Console.WriteLine("Исходные данные:");
PrintListPerson(people);
PrintListProduct(products);
Console.WriteLine("\nВыберите действие:");
Console.WriteLine("1. Записать данные в файл \n2. Считать данные из файла");


WriteToCSV writeToCSV = new WriteToCSV();
ReadToCSV readToCSV = new ReadToCSV();


int flag = int.Parse(Console.ReadLine());
string MeStruct;
switch (flag) 
{ 
    case 1:
        Console.WriteLine("Выберите имя файла для записи: ");
        string fileNameWrite = Console.ReadLine();
        Console.WriteLine("Выберите тип файла (CSV\r\nJSON\r\nXML\r\nYAML): ");
        string fileTypeWrite = Console.ReadLine();
        string path = fileNameWrite + fileTypeWrite;

        Console.WriteLine("Напишите какую структуру вы хотите записать(Person/Product): ");
        MeStruct = Console.ReadLine();
        if (MeStruct == "Person")
        {
            writeToCSV.ExportToCsv(people, path);
            Console.WriteLine("CSV успешно записан");
        }
        else if (MeStruct == "Product")
        {
            writeToCSV.ExportToCsv(products, path);
            Console.WriteLine("CSV успешно записан");
        }
        else { Console.WriteLine("Выбрана несуществующая структура"); }
            break;

    case 2:
        Console.WriteLine("Выберите имя файла для считывания: ");
        fileNameWrite = Console.ReadLine();
        Console.WriteLine("Выберите тип файла (CSV\r\nJSON\r\nXML\r\nYAML): ");
        fileTypeWrite = Console.ReadLine();
        path = fileNameWrite + fileTypeWrite;
        Console.WriteLine("Напишите какую структуру вы хотите записать(Person/Product): ");
        MeStruct = Console.ReadLine();
        if (MeStruct == "Person")
        {
            people.Clear();
            people = readToCSV.ImportToCsv<Person>(path);
            PrintListPerson(people);
        }
        else if (MeStruct == "Product")
        {
            products.Clear();
            products = readToCSV.ImportToCsv<Product>(path);
            PrintListProduct(products);
        }
        else { Console.WriteLine("Выбрана несуществующая структура"); }
            break;
    

}

